<?php

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder {
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run() {
        $this->call(ClientsSeeder::class);
        $this->call(UsersTableSeeder::class);
        $this->call(RightsGroupSeeder::class);
        $this->call(RightsTableSeeder::class);

        $this->call(NumberRangesTableSeeder::class);

        $this->call(OperatorsTableSeeder::class);

        $this->call(CustomersTableSeeder::class);
        $this->call(OrderPaymentStatusesTableSeeder::class);
        $this->call(OrderStatusesTableSeeder::class);
        $this->call(OrderTypesTableSeeder::class);

        $this->call(OrderTagsTableSeeder::class);
        $this->call(OrdersTableSeeder::class);
        $this->call(OrderLogSysMsgsTableSeeder::class);

        $this->call(OperatorCalendarStatusesSeeder::class);
        $this->call(OperatorCalendarSeeder::class);

        $this->call(ZipCoordinatesSeeder::class);

        $this->call(OrderPositionsTableSeeder::class);
        $this->call(TextblocksTableSeeder::class);
        $this->call(RightsUserTableSeeder::class);
        $this->call(OrderAddressesTableSeeder::class);

        $this->call(ProductsSeeder::class);

        $this->call(ProjectTypesSeeder::class);
        $this->call(ProjectsSeeder::class);
        $this->call(ProjectOperatorResponsibleSeeder::class);
    }
}
